curl --request GET \
--url https://api.augustus.com/v1/webhook_deliveries/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/webhook_deliveries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/webhook_deliveries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-44665544000a",
"type": "webhook_delivery",
"event_id": "550e8400-e29b-41d4-a716-446655440008",
"subscription_id": "550e8400-e29b-41d4-a716-446655440009",
"status": "pending",
"attempts": [
{
"attempted_at": "2026-01-15T10:30:05Z",
"status": "pending",
"status_code": 200
}
],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:35:00Z"
}Retrieve webhook delivery
Retrieves a webhook delivery by ID.
Authorizations
Bearer token for authentication with Augustus Banking API
Path Parameters
Unique identifier of the webhook delivery.
"550e8400-e29b-41d4-a716-44665544000a"
Response
The webhook delivery resource
Unique identifier of the webhook delivery.
"550e8400-e29b-41d4-a716-44665544000a"
Resource type discriminator.
webhook_delivery Identifier of the event this delivery was for.
"550e8400-e29b-41d4-a716-446655440008"
Identifier of the webhook subscription this delivery targeted.
"550e8400-e29b-41d4-a716-446655440009"
Current status of the delivery.
pending, delivered, failed, processing, ignored Ordered list of HTTP delivery attempts for this delivery.
Show child attributes
Show child attributes
ISO 8601 UTC timestamp when the delivery was created.
"2026-01-15T10:30:00Z"
ISO 8601 UTC timestamp when the delivery was last updated.
"2026-01-15T10:35:00Z"
Was this page helpful?